# Luakit Documentation / Modules / lousy.widget.tablist

# Module `lousy.widget.tablist`

Luakit tablist widget

## Functions

### lousy.widget.tablist.new (notebook, orientation)

Create a new tablist widget connected to a given notebook widget.

`orientation` should be one of `"horizontal"` or `"vertical"`.

#### Parameters

- notebook
  Type: widget
  The notebook widget to connect to.
- orientation
  Type: string
  The orientation of the new tablist widget.

#### Return Values

- table
  A table containing the new widget and its interface.

## Properties

### lousy.widget.tablist.min_width

Type: number
Read-write
Width that tabs will shrink to before scrolling starts.

## Attribution

#### Copyright

- 2016 Aidan Holm
- 2010 Mason Larobina